@echo off
@setlocal
@REM usage: PostConfigureIIS7 

set WEBSITE="Default Web Site"
set SEPLUGINS="sePlugins"
set ISAPI_NAME="iisWASPlugin"
set WEBSERVER_NAME="webserver1"
set PLUGIN_HOME=""


:parse
if "%1"=="-plugin.home"           goto plugin.home
if "%1"=="-webserver.name"        goto webserver.name
if "%1"=="-webserver.site"        goto webserver.site
if "%1"==""                       goto print
goto error

:plugin.home
shift
set PLUGIN_HOME=%1
goto recursive

:webserver.name
shift
set WEBSERVER_NAME=%1
goto recursive

:webserver.site
shift
set WEBSITE=%1
goto recursive

:recursive
shift
goto parse
goto done

:print
if %PLUGIN_HOME% == ""       goto error


echo PLUGIN_HOME     = %PLUGIN_HOME%
echo WEBSITE         = %WEBSITE%
echo WEBSERVER_NAME  = %WEBSERVER_NAME%

:done

@REM Commands are executed
cd %SYSTEMROOT%\system32\inetsrv

appcmd unlock config /section:handlers
appcmd unlock config /section:isapiFilters

appcmd clear config /section:isapiFilters /[name='%SEPLUGINS%']

appcmd set config %WEBSITE% /section:isapiFilters /+[name='%SEPLUGINS%',path='%PLUGIN_HOME%\bin\IIS_%WEBSERVER_NAME%\iisWASPlugin_http.dll']

@REM appcmd lock config /section:handlers
@REM appcmd lock config /section:isapiFilters

goto end

:error
echo.
echo.
echo Usage: PostConfigureIIS7.bat
echo           -plugin.home           ^<pluginInstallRoot^>
echo          [-webserver.name    ^<webserverName^>]
echo          [-webserver.site    ^<website^> ]
echo          [-help ]
echo.
echo Where:
echo     plugin.home        is the plugin install root
echo     webserver.name     is the name of the webserver as defined in WebSphere 
echo                           admin console. Default is webserver1
echo     webserver.site     is the name of the webserver defined in IIS.  The
echo                           default is "Default Web Site"
echo.
echo IIS7 Example: 
echo     PostConfigureIIS7.bat -plugin.home c:\WebSphere\Plugins"
echo       -webserver.name webserver2 
echo       -webserver.site "Plugin Web Site"
echo.
echo.

:end
@endlocal