#!/bin/sh
#
#
# Update/Install Gskit 
#
#

OS=`uname -s`
echo $OS 
SRCDIR=`pwd`

case "$OS" in 
          "AIX") 
                 installp -ac -d gskta.rte gskta 
          ;;
          "SunOS")
                 # Install 64-bit only if it is included in the package.
                 # This will be true for x64 and sparc64 but false for sparc32.

                 [ -d gsk7bas64 ] && pkgadd -a ./admin -n -d . gsk7bas64

                 pkgadd -a ./admin -n -d . gsk7bas  
          ;;
          "HP-UX")
                 APARCH=`uname -m`
                 if [ "$APARCH" = "ia64" ] ;
                 then
                    swreg -l depot $SRCDIR/gsk7bas64
                    swinstall -s $SRCDIR/gsk7bas64  -x enforce_scripts=false gsk7bas64 
                 else
                    swreg -l depot $SRCDIR/gsk7bas  
                    swinstall -s $SRCDIR/gsk7bas -x enforce_scripts=false gsk7bas
                 fi
          ;;
          "Linux" )
                  APARCH=`uname -m`
                  if [ "$APARCH" = "s390" ] || [ "$APARCH" = "s390x" ] ;
                  then 
                     rpm -Uh --nodeps --ignorearch gsk7bas-7.0-4.14.s390*rpm    
                  elif  [ "$APARCH" = "ppc" ] || [ "$APARCH" = "ppc64" ] ;
                  then
                     rpm -Uh --nodeps --ignorearch gsk7bas*-7.0-4.14.ppc*rpm
                  elif  [ "$APARCH" = "ia64" ] ;
                  then
                     rpm -Uh --nodeps --ignorearch gsk7bas-7.0-4.14.ia64*rpm
                  else
                     rpm -Uh --nodeps --ignorearch gsk7bas*-7.0-4.14*86*rpm 
                  fi
          ;;
          *)
          echo "ERROR: Can't determine platform!" 
          exit -1 ;;
esac




